# Interface Timer

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `BeanShellTimer, BSFTimer, ConstantThroughputTimer, ConstantTimer, GaussianRandomTimer, JSR223Timer, PoissonRandomTimer, RandomTimer, SyncTimer, UniformRandomTimer`

public interface Timer extends Serializable
This interface defines those methods that must be implemented by timer plugins.

## Method Summary

Modifier and Type
Method
Description
`long`
`delay()`
This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.

## Method Details

### delay

long delay()
This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.

Returns:
  the computed delay value.